<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Pad</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <style>
        #pad{
            background: #999999;
            border: 2px solid black;
            width: 15%;
            height: 15%;
        }
    </style>
</head>
<body>
    <canvas id="pad" ></canvas>
    <script>
        canvas = $('#pad')[0];
        context = canvas.getContext('2d');
        pendown = false;

        $('#pad').mousemove(function (event) {
            var xpos = event.pageX ;
            var ypox = event.pageY ;
            if (pendown){
                context.lineTo(xpos, ypox);
            }else {
                context.moveTo(xpos, ypox);
            }
            context.stroke();
        })
        $('#pad').mousedown(function (){
            pendown = true;
        })
        $('#pad').mouseup(function (){
            pendown = false;
        })
    </script>
</body>
</html>